#include <iostream>

using namespace std;

int main()
{
    int l,n,x;
    int br1=0;
    int br2=0;
    cin>>n>>l;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>x;
        a[i]=x;
        if(l>=x)
        {
            if(br2==0)
            {
                cout<<i+1;
                br2++;
            }

        }
        else
        {
            br1++;
        }
    }
    if(br1==n)
    {
        cout<<-1;
    }

}